<?php

namespace Drupal\Tests\crossword\Kernel\Formatter;

/**
 * Test the crossword formatter.
 *
 * @group crossword
 */
class CrosswordFormatterTest extends SimpleCrosswordFormatterTestBase {

  /**
   * {@inheritdoc}
   */
  public $id = 'crossword';

  /**
   * {@inheritdoc}
   */
  public $customSettings = [
    [
      'details' => [
        'title_tag' => 'h5',
        'author_tag' => 'p',
        'notepad_tag' => 'h2',
      ],
      'buttons' => [
        'buttons' => [
          'cheat' => [
            'show' => FALSE,
          ],
          'solution' => [
            'show' => FALSE,
          ],
          'clear' => [
            'show' => FALSE,
          ],
          'undo' => [
            'show' => FALSE,
          ],
          'redo' => [
            'show' => FALSE,
          ],
        ],
      ],
    ],
    [
      'details' => [
        'title_tag' => '',
        'author_tag' => '',
        'notepad_tag' => '',
      ],
      'buttons' => [
        'buttons' => [
          'cheat' => [
            'show' => FALSE,
          ],
          'solution' => [
            'show' => TRUE,
            'input_label' => 'Give Up',
          ],
          'clear' => [
            'show' => FALSE,
          ],
          'undo' => [
            'show' => TRUE,
            'input_label' => 'Undo',
          ],
          'redo' => [
            'show' => FALSE,
          ],
        ],
      ],
    ],
  ];

}
